CVE-2009-2833

HIGH

Description

Buffer overflow in the UCCompareTextDefault API in International Components for Unicode in Apple Mac OS X 10.5.8 allows context-dependent attackers to execute arbitrary code or cause a denial of service (application crash) via unspecified vectors.

References

http://lists.apple.com/archives/security-announce/2009/Nov/msg00000.html

http://support.apple.com/kb/HT3937

http://www.securityfocus.com/bid/36956

http://www.vupen.com/english/advisories/2009/3184

Details

Source: MITRE

Published: 2009-11-10

Updated: 2009-11-17

Type: CWE-119

Risk Information

CVSS v2.0

Base Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 10

Severity: HIGH

Tenable Plugins

View all (3 total)

IDNameProductFamilySeverity
800795Mac OS X 10.6 < 10.6.2 Multiple VulnerabilitiesLog Correlation EngineOperating System Detection
high
5227Mac OS X 10.6 < 10.6.2 Multiple VulnerabilitiesNessus Network MonitorGeneric
critical
42433Mac OS X Multiple Vulnerabilities (Security Update 2009-006)NessusMacOS X Local Security Checks
critical